#include <sta/time.hpp>

#include <sta/config.hpp>
#ifdef STA_PLATFORM_ARDUINO
#include <sta/devices/arduino/hal.hpp>

namespace sta
{
    uint32_t timeMs()
    {
        return millis();
    }

    uint32_t timeUs()
    {
        return micros();
    }
} // namespace sta

#endif // STA_PLATFORM_ARDUINO
