#ifndef STA_CORE_ARDUINO_MCU_ESP32_S3_HPP
#define STA_CORE_ARDUINO_MCU_ESP32_S3_HPP

#include <sta/devices/arduino/mcu/common.hpp>

#define STA_MCU_LITTLE_ENDIAN

#define STA_PLATFORM_ARDUINO_DEVICE_ESP32

#define STA_MCU_ESP32_S3

#define STA_ESP32_SCL_DEFAULT           22
#define STA_ESP32_SDA_DEFAULT           21

#define STA_ESP32_FSPI_MOSI_DEFAULT     23
#define STA_ESP32_FSPI_MISO_DEFAULT     19
#define STA_ESP32_FSPI_CLK_DEFAULT      18

#define STA_ESP32_HSPI_MOSI_DEFAULT     13
#define STA_ESP32_HSPI_MISO_DEFAULT     12
#define STA_ESP32_HSPI_CLK_DEFAULT      14

#endif // STA_CORE_ARDUINO_MCU_ESP32_S3_HPP